Bug 145744 - [PATCH] devel/apr: fix make install/deinstall
Summary: [PATCH] devel/apr: fix make install/deinstall
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-apache (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-16 05:30 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2010-05-07 01:40 UTC (History)
1 user (show)

See Also:


Attachments
apr-db48-1.3.9.1.3.9_1.patch (4.00 KB, patch)
2010-04-16 05:30 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2010-04-16 05:30:02 UTC
Changes:
- Fix make install/deinstall by adding explicit --without APU_CONF_ARGS [1]
- Simplified option ifs
- Sort apr-util related options
- Pet portlint
- Remove some spaces/tabs

[1] On my box, apr-util-1.3.9/dbd/apr_dbd_pgsql is enabled automatically.

% grep apr /usr/local/etc/ports.conf
devel/apr : WITHOUT_GDBM | WITHOUT_IPV6
% cd /usr/ports/devel/apr/
% make -V WITHOUT_PGSQL
true
% make configure
...
checking for pg_config... /usr/local/bin/pg_config
  adding "-I/usr/local/include" to CPPFLAGS
  setting LDFLAGS to "-L/usr/local/lib"
checking libpq-fe.h usability... yes
checking libpq-fe.h presence... yes
checking for libpq-fe.h... yes
checking for PQsendQueryPrepared in -lpq... yes
  adding "-I/usr/local/include" to APRUTIL_PRIV_INCLUDES
...
% cd `make -V WRKSRC`
% grep apu_have_pgsql apr-util-1.3.9/config.log
apu_have_pgsql='1'
% grep apr_dbd_pgsql apr-util-1.3.9/Makefile
APU_MODULES =   dbd/apr_dbd_pgsql.la dbm/apr_dbm_db.la

Thus, I got an error message while deinstalling APR.
===>  Deinstalling for devel/apr
===>   Deinstalling apr-db48-1.3.9.1.3.9_1
pkg_delete: unable to completely remove directory '/usr/local/lib/apr-util-1'
pkg_delete: couldn't entirely delete package (perhaps the packing list is incorrectly specified?)

% ls -Al /usr/local/lib/apr-util-1/
total 1
-rwxr-xr-x  1 root  wheel  25915 Feb 17 00:04 apr_dbd_pgsql-1.so*
-rw-r--r--  1 root  wheel  24166 Feb 17 00:04 apr_dbd_pgsql.a
-rwxr-xr-x  1 root  wheel   1014 Feb 17 00:04 apr_dbd_pgsql.la*
lrwxr-xr-x  1 root  wheel     18 Feb 17 00:04 apr_dbd_pgsql.so@ -> apr_dbd_pgsql-1.so

Port maintainer (pgollucci@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-04-16 05:30:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2010-04-29 19:28:09 UTC
Responsible Changed
From-To: pgollucci->apache

Over to maintainer.
Comment 3 Philip M. Gollucci freebsd_committer 2010-05-07 01:39:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2010-05-07 01:39:37 UTC
pgollucci    2010-05-07 00:39:23 UTC

  FreeBSD ports repository

  Modified files:
    devel/apr            Makefile 
  Log:
  - Harden the OPTION processing to explicity enable/disable in BOTH cases.
  - Remove some invalid quotes in the OSVERSION handling
  - CFLAGS is already in CONFIGURE_ENV
  - Fix some tabs/whitespace
  
  None of this changes the default package, so no PORTREVISION bumps.
  
  PR:             ports/145744
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net>
  With Hat:       apache@
  
  Revision  Changes    Path
  1.98      +22 -22    ports/devel/apr/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"